import { StripePaymentIntentId } from '../stripe/types';
import { ORIGIN_TYPE_PAYPAL, ORIGIN_TYPE_STRIPE, ORIGIN_TYPES_EXTERNAL } from '../origin/constants';
export declare type PayinOriginType = typeof ORIGIN_TYPES_EXTERNAL[number];
export declare type TipOriginId = StripePaymentIntentId;
export declare type SubscriptionPaymentOriginId = StripePaymentIntentId;
export declare type PayinOriginIdMapping = {
    [ORIGIN_TYPE_STRIPE]: TipOriginId | SubscriptionPaymentOriginId;
    [ORIGIN_TYPE_PAYPAL]: string;
};
export declare type PayinOriginId<T extends PayinOriginType = PayinOriginType> = PayinOriginIdMapping[T];
