import z from 'zod';
import { ApiSubscription } from './types';
import { ListResponseTrait } from '../response/types';
import { ChannelId } from '../channel/types';
export declare const SEPARATOR = "::";
export declare const subscriptionApiSrcCompositeParser: z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
    type: z.ZodLiteral<"user">;
    id: z.ZodEffects<z.ZodString, import("../user/types").UserIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    type: "user";
    id: import("../user/types").UserIdBrand;
}, {
    type: "user";
    id: string;
}>>, {
    type: "user";
    id: import("../user/types").UserIdBrand;
}, {
    type: "user";
    id: string;
}>;
export declare const subscriptionApiDstCompositeParser: z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
    type: z.ZodLiteral<"channel">;
    id: z.ZodEffects<z.ZodString, ChannelId, string>;
}, "strip", z.ZodTypeAny, {
    type: "channel";
    id: ChannelId;
}, {
    type: "channel";
    id: string;
}>>, {
    type: "channel";
    id: ChannelId;
}, {
    type: "channel";
    id: string;
}>;
export declare const subscriptionApiSrcDstCompositeParserOptional: z.ZodObject<{
    src: z.ZodOptional<z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"user">;
        id: z.ZodEffects<z.ZodString, import("../user/types").UserIdBrand, string>;
    }, "strip", z.ZodTypeAny, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>>, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>>;
    dst: z.ZodOptional<z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"channel">;
        id: z.ZodEffects<z.ZodString, ChannelId, string>;
    }, "strip", z.ZodTypeAny, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>>, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>>;
}, "strip", z.ZodTypeAny, {
    src?: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    } | undefined;
    dst?: {
        type: "channel";
        id: ChannelId;
    } | undefined;
}, {
    src?: {
        type: "user";
        id: string;
    } | undefined;
    dst?: {
        type: "channel";
        id: string;
    } | undefined;
}>;
export declare const subscriptionApiSrcDstCompositeParser: z.ZodObject<{
    src: z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"user">;
        id: z.ZodEffects<z.ZodString, import("../user/types").UserIdBrand, string>;
    }, "strip", z.ZodTypeAny, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>>, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>;
    dst: z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"channel">;
        id: z.ZodEffects<z.ZodString, ChannelId, string>;
    }, "strip", z.ZodTypeAny, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>>, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>;
}, "strip", z.ZodTypeAny, {
    src: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    };
    dst: {
        type: "channel";
        id: ChannelId;
    };
}, {
    src: {
        type: "user";
        id: string;
    };
    dst: {
        type: "channel";
        id: string;
    };
}>;
export declare const subscriptionListQueryParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}, {
    offset: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}>, {
    src: z.ZodOptional<z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"user">;
        id: z.ZodEffects<z.ZodString, import("../user/types").UserIdBrand, string>;
    }, "strip", z.ZodTypeAny, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>>, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>>;
    dst: z.ZodOptional<z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"channel">;
        id: z.ZodEffects<z.ZodString, ChannelId, string>;
    }, "strip", z.ZodTypeAny, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>>, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>>;
}>, "strip", z.ZodTypeAny, {
    src?: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    } | undefined;
    dst?: {
        type: "channel";
        id: ChannelId;
    } | undefined;
    limit: number;
    offset: number;
}, {
    src?: {
        type: "user";
        id: string;
    } | undefined;
    dst?: {
        type: "channel";
        id: string;
    } | undefined;
    limit: string | number;
    offset: string | number;
}>;
export declare const subscriptionListResponseParser: z.ZodEffects<z.ZodAny, ListResponseTrait<ApiSubscription>, any>;
export declare const subscriptionGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("../stripe/types").StripeSubscriptionIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("../stripe/types").StripeSubscriptionIdBrand;
}, {
    id: string;
}>;
export declare const subscriptionRecurringParser: z.ZodBoolean;
export declare const subscriptionAmountParser: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
export declare const subscriptionUnitParser: z.ZodEnum<["AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "USN", "UYI", "UYU", "UYW", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL"]>;
export declare const subscriptionApiAmountParser: z.ZodObject<{
    amt: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}, "strip", z.ZodTypeAny, {
    amt: number;
}, {
    amt: string | number;
}>;
export declare const subscriptionAmountUnitParser: z.ZodObject<z.extendShape<{
    unit: z.ZodEnum<["AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "USN", "UYI", "UYU", "UYW", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL"]>;
}, {
    amt: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}>, "strip", z.ZodTypeAny, {
    amt: number;
    unit: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}, {
    amt: string | number;
    unit: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}>;
export declare const subscriptionStatusParser: z.ZodEnum<["ACTIVE", "INACTIVE", "INCOMPLETE", "INCOMPLETE_EXPIRED", "TRIALING", "PAST_DUE", "CANCELED", "UNPAID"]>;
export declare const subscriptionApiRecurringParser: z.ZodObject<{
    recurring: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    recurring: boolean;
}, {
    recurring: boolean;
}>;
export declare const subscriptionRecurringAndStatusParser: z.ZodObject<z.extendShape<{
    status: z.ZodEnum<["ACTIVE", "INACTIVE", "INCOMPLETE", "INCOMPLETE_EXPIRED", "TRIALING", "PAST_DUE", "CANCELED", "UNPAID"]>;
}, {
    recurring: z.ZodBoolean;
}>, "strip", z.ZodTypeAny, {
    status: "ACTIVE" | "INACTIVE" | "INCOMPLETE" | "INCOMPLETE_EXPIRED" | "TRIALING" | "PAST_DUE" | "CANCELED" | "UNPAID";
    recurring: boolean;
}, {
    status: "ACTIVE" | "INACTIVE" | "INCOMPLETE" | "INCOMPLETE_EXPIRED" | "TRIALING" | "PAST_DUE" | "CANCELED" | "UNPAID";
    recurring: boolean;
}>;
export declare const subscriptionOriginTypeParser: z.ZodEnum<["stripe", "paypal"]>;
export declare const subscriptionCreateInputParser: z.ZodObject<z.extendShape<z.extendShape<z.extendShape<{}, {
    src: z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"user">;
        id: z.ZodEffects<z.ZodString, import("../user/types").UserIdBrand, string>;
    }, "strip", z.ZodTypeAny, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>>, {
        type: "user";
        id: import("../user/types").UserIdBrand;
    }, {
        type: "user";
        id: string;
    }>;
    dst: z.ZodEffects<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
        type: z.ZodLiteral<"channel">;
        id: z.ZodEffects<z.ZodString, ChannelId, string>;
    }, "strip", z.ZodTypeAny, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>>, {
        type: "channel";
        id: ChannelId;
    }, {
        type: "channel";
        id: string;
    }>;
}>, z.extendShape<{
    unit: z.ZodEnum<["AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "USN", "UYI", "UYU", "UYW", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL"]>;
}, {
    amt: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
}>>, {
    recurring: z.ZodBoolean;
}>, "strip", z.ZodTypeAny, {
    amt: number;
    unit: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
    src: {
        type: "user";
        id: import("../user/types").UserIdBrand;
    };
    dst: {
        type: "channel";
        id: ChannelId;
    };
    recurring: boolean;
}, {
    amt: string | number;
    unit: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
    src: {
        type: "user";
        id: string;
    };
    dst: {
        type: "channel";
        id: string;
    };
    recurring: boolean;
}>;
export declare const subscriptionCreateResponseParser: z.ZodEffects<z.ZodAny, ApiSubscription, any>;
export declare const subscriptionUpdateInputParser: z.ZodObject<{
    amt: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, "strip", z.ZodTypeAny, {
    amt?: number | undefined;
}, {
    amt?: string | number | undefined;
}>;
export declare const subscriptionUpdateParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("../stripe/types").StripeSubscriptionIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("../stripe/types").StripeSubscriptionIdBrand;
}, {
    id: string;
}>;
export declare const subscriptionUpdateResponseParser: z.ZodEffects<z.ZodAny, ApiSubscription, any>;
export declare const subscriptionDeleteParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("../stripe/types").StripeSubscriptionIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("../stripe/types").StripeSubscriptionIdBrand;
}, {
    id: string;
}>;
