import { StripePaymentIntentId } from '../stripe/types';
import { ORIGIN_TYPE_PAYPAL, ORIGIN_TYPE_STRIPE, ORIGIN_TYPES_EXTERNAL } from '../origin/constants';
import { Subset } from '../utils/types';

export type PayinOriginType = typeof ORIGIN_TYPES_EXTERNAL[number];
export type TipOriginId = StripePaymentIntentId;
export type SubscriptionPaymentOriginId = StripePaymentIntentId;
export type PayinOriginIdMapping = {
  [ORIGIN_TYPE_STRIPE]: TipOriginId | SubscriptionPaymentOriginId;
  [ORIGIN_TYPE_PAYPAL]: string;
};
// eslint-disable-next-line
type AssertPayinOriginIdMapping = Subset<
  PayinOriginIdMapping,
  {
    [k in PayinOriginType]: unknown;
  }
>;
export type PayinOriginId<T extends PayinOriginType = PayinOriginType> = PayinOriginIdMapping[T];
