// user but not user
// which means it's an api 'user' string severed from the graph 'user' string
// more comments in parsers.ts
import { ORIGIN_TYPES_EXTERNAL } from '../origin/constants';
import { PAYMENT_PROVIDERS } from '../paymentProvider/constants';

export const SUBSCRIPTION_USER_API_LITERAL_TYPE = 'user' as const;
// same for channel
export const SUBSCRIPTION_CHANNEL_API_LITERAL_TYPE = 'channel' as const; // Stripe Docs: https://stripe.com/docs/billing/subscriptions/overview#subscription-states
export const SUBSCRIPTION_ORIGIN_TYPES = ORIGIN_TYPES_EXTERNAL;
export const SUBSCRIPTION_PROVIDERS = PAYMENT_PROVIDERS;
export const SUBSCRIPTION_STATUSES = [
  'ACTIVE',
  'INACTIVE',
  'INCOMPLETE',
  'INCOMPLETE_EXPIRED',
  'TRIALING',
  'PAST_DUE',
  'CANCELED',
  'UNPAID',
] as const;

export const SUBSCRIPTION_ID_PARAM_NAME = 'id' as const;
