import { Isomorphism } from '../utils/types';
import { ApiSubscriptionDstComposite, ApiSubscriptionSrcComposite, PassportIssueDst, PassportIssueSrc } from './types';
import { SEPARATOR, subscriptionApiDstCompositeParser, subscriptionApiSrcCompositeParser } from './parsers';

export const subscriptionApiSrcIsomorphism: Isomorphism<ApiSubscriptionSrcComposite, PassportIssueSrc> = {
  to: (x) => `${x.type}${SEPARATOR}${x.id}` as PassportIssueSrc,
  from: (x) => subscriptionApiSrcCompositeParser.parse(x),
};

export const subscriptionApiDstIsomorphism: Isomorphism<ApiSubscriptionDstComposite, PassportIssueDst> = {
  to: (x) => `${x.type}${SEPARATOR}${x.id}` as PassportIssueDst,
  from: (x) => subscriptionApiDstCompositeParser.parse(x),
};
